declare @cadaN_constrain as varchar(100)

if exists (SELECT name FROM sys.objects WHERE type = 'D' and type_desc = 'DEFAULT_CONSTRAINT' and OBJECT_NAME(parent_object_id) = 'cnt_contratoDetalleVisita' and name like '%cadaN%')
begin
	SELECT @cadaN_constrain = name
	FROM sys.objects
	WHERE type = 'D' and
		type_desc = 'DEFAULT_CONSTRAINT' and 	 
		OBJECT_NAME(parent_object_id) = 'cnt_contratoDetalleVisita' and 
		name like '%cadaN%';

		exec('ALTER TABLE cnt_contratoDetalleVisita DROP CONSTRAINT ' + @cadaN_constrain);
end


ALTER TABLE cnt_contratoDetalleVisita
ALTER COLUMN cadaN float